Bullet Collision Detection & Physics Library: btMultiBodyPoint2Point Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Protected Attributes | List of all members
btMultiBodyPoint2Point Class Reference

This file was written by Erwin Coumans. More...

`#include <btMultiBodyPoint2Point.h>`

Inheritance diagram for btMultiBodyPoint2Point:
[legend]
Collaboration diagram for btMultiBodyPoint2Point:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btMultiBodyPoint2Point (btMultiBody *body, int link, btRigidBody *bodyB, const btVector3 &pivotInA, const btVector3 &pivotInB)
| btMultiBodyPoint2Point (btMultiBody *bodyA, int linkA, btMultiBody *bodyB, int linkB, const btVector3 &pivotInA, const btVector3 &pivotInB)
virtual | ~btMultiBodyPoint2Point ()
virtual void | finalizeMultiDof ()
virtual int | getIslandIdA () const
virtual int | getIslandIdB () const
virtual void | createConstraintRows (btMultiBodyConstraintArray &constraintRows, btMultiBodyJacobianData &data, const btContactSolverInfo &infoGlobal)
const btVector3 & | getPivotInB () const
virtual void | setPivotInB (const btVector3 &pivotInB)
virtual void | debugDraw (class btIDebugDraw *drawer)
Public Member Functions inherited from btMultiBodyConstraint
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btMultiBodyConstraint (btMultiBody *bodyA, btMultiBody *bodyB, int linkA, int linkB, int numRows, bool isUnilateral, int type)
virtual | ~btMultiBodyConstraint ()
void | updateJacobianSizes ()
void | allocateJacobiansMultiDof ()
int | getConstraintType () const
virtual void | setFrameInB (const btMatrix3x3 &frameInB)
int | getNumRows () const
btMultiBody * | getMultiBodyA ()
btMultiBody * | getMultiBodyB ()
int | getLinkA () const
int | getLinkB () const
void | internalSetAppliedImpulse (int dof, btScalar appliedImpulse)
btScalar | getAppliedImpulse (int dof)
btScalar | getPosition (int row) const
void | setPosition (int row, btScalar pos)
bool | isUnilateral () const
btScalar * | jacobianA (int row)
const btScalar * | jacobianA (int row) const
btScalar * | jacobianB (int row)
const btScalar * | jacobianB (int row) const
btScalar | getMaxAppliedImpulse () const
void | setMaxAppliedImpulse (btScalar maxImp)
virtual void | setGearRatio (btScalar ratio)
virtual void | setGearAuxLink (int gearAuxLink)
virtual void | setRelativePositionTarget (btScalar relPosTarget)
virtual void | setErp (btScalar erp)

## Protected Attributes
btRigidBody * | m_rigidBodyA
btRigidBody * | m_rigidBodyB
btVector3 | m_pivotInA
btVector3 | m_pivotInB
Protected Attributes inherited from btMultiBodyConstraint
btMultiBody * | m_bodyA
btMultiBody * | m_bodyB
int | m_linkA
int | m_linkB
int | m_type
int | m_numRows
int | m_jacSizeA
int | m_jacSizeBoth
int | m_posOffset
bool | m_isUnilateral
int | m_numDofsFinalized
btScalar | m_maxAppliedImpulse
btAlignedObjectArray< btScalar > | m_data

## Additional Inherited Members
Protected Member Functions inherited from btMultiBodyConstraint
void | applyDeltaVee (btMultiBodyJacobianData &data, btScalar *delta_vee, btScalar impulse, int velocityIndex, int ndof)
btScalar | fillMultiBodyConstraint (btMultiBodySolverConstraint &solverConstraint, btMultiBodyJacobianData &data, btScalar *jacOrgA, btScalar *jacOrgB, const btVector3 &constraintNormalAng, const btVector3 &constraintNormalLin, const btVector3 &posAworld, const btVector3 &posBworld, btScalar posError, const btContactSolverInfo &infoGlobal, btScalar lowerLimit, btScalar upperLimit, bool angConstraint=false, btScalar relaxation=1.f, bool isFriction=false, btScalar desiredVelocity=0, btScalar cfmSlip=0, btScalar damping=1.0)

## Detailed Description

This file was written by Erwin Coumans.

Definition at line 25 of file btMultiBodyPoint2Point.h.

## Constructor & Destructor Documentation

## ◆ btMultiBodyPoint2Point() [1/2]

btMultiBodyPoint2Point::btMultiBodyPoint2Point | ( | btMultiBody * | body,
|  | int | link,
|  | btRigidBody * | bodyB,
|  | const btVector3 & | pivotInA,
|  | const btVector3 & | pivotInB )

Definition at line 29 of file btMultiBodyPoint2Point.cpp.

## ◆ btMultiBodyPoint2Point() [2/2]

btMultiBodyPoint2Point::btMultiBodyPoint2Point | ( | btMultiBody * | bodyA,
|  | int | linkA,
|  | btMultiBody * | bodyB,
|  | int | linkB,
|  | const btVector3 & | pivotInA,
|  | const btVector3 & | pivotInB )

Definition at line 39 of file btMultiBodyPoint2Point.cpp.

## ◆ ~btMultiBodyPoint2Point()

btMultiBodyPoint2Point::~btMultiBodyPoint2Point | ( |  | ) |
| virtual

Definition at line 55 of file btMultiBodyPoint2Point.cpp.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

btMultiBodyPoint2Point::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ createConstraintRows()

void btMultiBodyPoint2Point::createConstraintRows | ( | btMultiBodyConstraintArray & | constraintRows,
|  | btMultiBodyJacobianData & | data,
|  | const btContactSolverInfo & | infoGlobal )
| virtual

Implements btMultiBodyConstraint.

Definition at line 102 of file btMultiBodyPoint2Point.cpp.

## ◆ debugDraw()

void btMultiBodyPoint2Point::debugDraw | ( | class btIDebugDraw * | drawer | ) |
| virtual

Implements btMultiBodyConstraint.

Definition at line 186 of file btMultiBodyPoint2Point.cpp.

## ◆ finalizeMultiDof()

void btMultiBodyPoint2Point::finalizeMultiDof | ( |  | ) |
| virtual

Implements btMultiBodyConstraint.

Definition at line 49 of file btMultiBodyPoint2Point.cpp.

## ◆ getIslandIdA()

int btMultiBodyPoint2Point::getIslandIdA | ( |  | ) | const
| virtual

Implements btMultiBodyConstraint.

Definition at line 59 of file btMultiBodyPoint2Point.cpp.

## ◆ getIslandIdB()

int btMultiBodyPoint2Point::getIslandIdB | ( |  | ) | const
| virtual

Implements btMultiBodyConstraint.

Definition at line 81 of file btMultiBodyPoint2Point.cpp.

## ◆ getPivotInB()

const btVector3 & btMultiBodyPoint2Point::getPivotInB | ( |  | ) | const
| inline

Definition at line 51 of file btMultiBodyPoint2Point.h.

## ◆ setPivotInB()

virtual void btMultiBodyPoint2Point::setPivotInB | ( | const btVector3 & | pivotInB | ) |
| inlinevirtual

Reimplemented from btMultiBodyConstraint.

Definition at line 56 of file btMultiBodyPoint2Point.h.

## Member Data Documentation

## ◆ m_pivotInA

btVector3 btMultiBodyPoint2Point::m_pivotInA
| protected

Definition at line 31 of file btMultiBodyPoint2Point.h.

## ◆ m_pivotInB

btVector3 btMultiBodyPoint2Point::m_pivotInB
| protected

Definition at line 32 of file btMultiBodyPoint2Point.h.

## ◆ m_rigidBodyA

btRigidBody* btMultiBodyPoint2Point::m_rigidBodyA
| protected

Definition at line 29 of file btMultiBodyPoint2Point.h.

## ◆ m_rigidBodyB

btRigidBody* btMultiBodyPoint2Point::m_rigidBodyB
| protected

Definition at line 30 of file btMultiBodyPoint2Point.h.

The documentation for this class was generated from the following files:

- btMultiBodyPoint2Point.h
- btMultiBodyPoint2Point.cpp